BrowserTree
	Parent
		bt_text_variables={"<name>type</name>
<info>Main starting point.</info>
<full>Main starting point.</full>"}
		bt_style_sheet = {"body {background: #0000FF; color: #FFFFFF;}
a:link, a:visited {color: #0090FF;}
a:hover {font-style: italic;}
.Info {margin-left: 10px;}"}
		Child
			bt_text_variables={"<name>type</name>
<info>This is a secondary.</info>
<full>See, this is how a secondary works!</full><key>A</key>"}
			GrandChild1
				bt_text_variables={"<name>type</name>
<info>This is a tertiary.</info>
<full>See, this is how a tertiary works!</full><key>A</key>"}
				GreatGrandChild1
					bt_text_variables={"<name>type</name>
<info>This is the fourth step in.</info>
<full>See how many you can make!</full><key>A</key>"}
				GreatGrandChild2
					bt_text_variables={"<name>type</name>
<info>This is the fourth step in.</info>
<full>See how many you can make!</full><key>B</key>"}
				GreatGrandChild3
					bt_text_variables={"<name>type</name>
<info>This is the fourth step in.</info>
<full>See how many you can make!</full><key>C</key>"}
				GreatGrandChild4
					bt_text_variables={"<name>type</name>
<info>This is the fourth step in.</info>
<full>See how many you can make!</full><key>D</key>"}
				GreatGrandChild5
					bt_text_variables={"<name>type</name>
<info>This is the fourth step in.</info>
<full>See how many you can make!</full><key>E</key>"}
			GrandChild2
				bt_text_variables={"<name>type</name>
<info>This is a tertiary.</info>
<full>See, this is how a tertiary works!</full><key>B</key>"}
		TextVariables
			bt_text_variables = {"
<name>Text Variables</name>
<info>A little bit about the variable: bt_text_variable</info>
<full>To use, just define bt_text_variables.</full>
<key>B</key>
"}
			DefineBefore
				bt_info = {"There are two ways to define
information variables"}
				bt_full = {"You can even define some variables
in bt_text_variables, and others the way you normally would. Just put
&lt;variable&gt;...&lt;/variable&gt;.
Example: &lt;info&gt;...&lt;/info&gt;. See Demo.dm for more."}
				bt_text_variables = {"<info>...</info><full>...</full>
<key>A</key>"}
		Icon
			bt_text_variables={"<name>type</name>
<info><bt_icon>Icon.dmi;face</bt_icon>I have an icon!</info>
<key>C</key><full>You can make as many icons as you want by
putting &lt;bt_icon&gt;, the icon, a semi-colon,
icon_state then &lt;/bt_icon&gt;. So an example would
be; &lt;bt_icon&gt;Icon.dmi;face&lt;/bt_icon&gt;.</full>"}



client
	command_text = ".alt "
	script = {"
macro
	Z return "Back"
	X return "Close"
	A return "A"
	B return "B"
	C return "C"
	D return "D"
	E return "E"
"}



mob
	verb
		Display_BrowserTree()
			var
				BrowserTree/P = bt_FindDatum("/BrowserTree/Parent")
				K= alert(src,"Show Key codes?","Key Codes","Yes","No")
				Params= input(src,"What paramiters. Just type these"+\
				" the way you would for browse()","Paramiters.",\
				"size=400x450;titlebar=0;can_resize=0")
				Keys = FALSE
			if(K == "Yes") Keys = TRUE
			P.bt_Display(src , Params , Keys)
			del P
		//A already included.
		B()
			set hidden = 1
			bt_Key(src,66) //Same result as bt_Key(src,"B")
		C()
			set hidden = 1
			bt_Key(src,67) //Same result as bt_Key(src,"C")
		D()
			set hidden = 1
			bt_Key(src,68) //Same result as bt_Key(src,"D")
		E()
			set hidden = 1
			bt_Key(src,69) //Same result as bt_Key(src,"E")
		Tree2Text()
			var
				remove_init = TRUE
				file_name = "Tree.txt"
				tree_path = /BrowserTree
				new_text = {"<txt?lang=PARSE>
<BrowserTree>"}
			if(!tree_path) return
			if(!file_name) file_name = "[tree_path].txt"
			var/datum = new tree_path
			if(!istype(datum,/BrowserTree)) return
			for(var/type in typesof(tree_path))
				if(remove_init && type == tree_path) continue
				var/BrowserTree/totext = new type
				totext.bt_SetVariables()
				new_text += {"
	<part>
		<type>[totext.type]</type>
		<css>[totext.bt_style_sheet]</css>
		<textvars>
<name>[totext.bt_name]</name><key>[totext.bt_key]</key>
<full>[totext.bt_full]</full><info>[totext.bt_info]</info>
		</textvars>
	</part>"}
			new_text += {"
</BrowserTree>"}
			if(fexists(file_name)) fdel(file_name)
			text2file(new_text,file_name)
			world << {"<font color=red><TT>Tree2Text() complete;
File: [file_name]
BrowserTree path: [tree_path]</TT></font>"}