BrowserTree
	Admin
		bt_style_sheet = {"
body         {background: #0000FF; color: #FFFFFF;}
A:visited    {color: #FF0000;}
A:active     {color: #FF0000;}
.Link        {color: #00FF00;}
.Back        {color: #B8860B;}
.Back:hover  {color: #FFA500; font-style: italic;}
.Close       {color: #8B0000;}
.Close:hover {color: #FF0000; font-style: italic;}
"}
		People
			bt_text_variables = {"<name>type</name>
<info>Anything to do with other people.</info>
<full>Here you can use Administrator verbs that interact with others.\
</full>
<key>A</key>"}
			Boot
				bt_text_variables = {"<name>type</name>
<info>Boot command.</info><full>Here you can boot other players.</full>
<key>A</key>"}
			Ban
				bt_text_variables = {"<name>type</name>
<info>Ban command.</info><full>Here you can ban players from the game.\
</full><key>B</key>"}
		World
			bt_text_variables = {"<name>type</name>
<info>Anything to do with the overall world.</info>
<full>Here you can set the status of the world, or announce something.\
</full><key>B</key>"}
			Status
				bt_text_variables = {"<name>type</name>
<info>Set the world's status.</info>
<full>What is the world like today?</full><key>A</key>"}
			Announce
				bt_text_variables = {"<name>type</name>
<info>Announce something to the world.</info><full>What is on your mind?\
</full><key>B</key>"}


BrowserTree_Selector
	Admin
		bt_tree_type = /BrowserTree/Admin
		bt_can_select = 1
		bt_showkeys = 1
		bt_name_select = 1
		bt_params = "titlebar=0"
	Process(mob/M,selected)
		..()
		if(selected["1"]=="Admin")
			if(selected["2"]=="People")
				if(selected["3"]=="Boot")
					var/Bootable[0]
					for(var/mob/C in world)
						if(C.client) Bootable += C
					Bootable += "Cancel"
					var/Boot = input(M,"Who would you like to boot?",\
					"Admin") in Bootable
					if(Boot != "Cancel") world << "[M] booted [Boot]."
				if(selected["3"]=="Ban")
					world<<"Ban is such a harsh word. Too bad for you!"
			if(selected["2"]=="World")
				if(selected["3"]=="Status")
					var/S = input(M,"What is the world status?","Admin")
					world.status = S
					world<<"World status is now: [S]"
				if(selected["3"]=="Announce")
					var/A = input(M,"What is your announcment?","Admin")
					world<<"<BIG><font color=red>Announcment:</font></BIG>"
					world<<"<BIG>[A]</BIG>"

mob/verb/Admin()
	new/BrowserTree_Selector/Admin(src)